Subject: Re: [Sipping] I-D ACTION:draft-ietf-sipping-content-indirect-02.txt

From: Paul Kyzivat <[email-masked]>
Date: Thu, 03 Oct 2002 17:04:30 -0400

Sean,

I haven't been paying close enough attention to this. I have tweaks to a couple of your requirements, and a new one to offer:

- It MUST be possible to determine the content-disposition of indirect content without downloading that content.

[I think this is the same as your second requirement, but I'm not certain.]

- It MUST be possible for the UAC and UAS to negotiate the Content-Types for which the content indirection mechanism may be used.

[This is a replacement for your 6th requirement. This makes it possible to support the use of content indirection with some content types (like PIDF) and not support it for others (like SDP).]

- It MUST be possible for the UAC and UAS to negotiate the Content-Dispositions for which the content indirection mechanism may be used. 

[For instance, content-disposition of "session" is used for the SDP of offer/answer exchanges, while "render" is used for most other stuff. Values of "alert" and "icon" have other specific uses. These are at least in theory orthogonal to content-type. So in theory I could have two body parts with content type "application/sdp", one with a content-disposition of "inline" or "render" and the other with content-disposition of "session". Only the one with "session" should be used for the offer/answer exchange. In practice, I might well refuse to deal with CI for "session" body parts, but be willing to do so for "render", "alert", or "icon" body parts.]

	Paul
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP